NMSettingWired

## NMSettingWired NMSettingWired |

## Synopsis

    #define             NM_SETTING_WIRED_SETTING_NAME
    enum                NMSettingWiredError;
    #define             NM_TYPE_SETTING_WIRED_ERROR
    #define             NM_SETTING_WIRED_ERROR
    GQuark              nm_setting_wired_error_quark        (void);
    #define             NM_SETTING_WIRED_PORT
    #define             NM_SETTING_WIRED_SPEED
    #define             NM_SETTING_WIRED_DUPLEX
    #define             NM_SETTING_WIRED_AUTO_NEGOTIATE
    #define             NM_SETTING_WIRED_MAC_ADDRESS
    #define             NM_SETTING_WIRED_MTU
                        NMSettingWired;
                        NMSettingWiredClass;
    GType               nm_setting_wired_get_type           (void);
    NMSetting *         nm_setting_wired_new                (void);
    const char *        nm_setting_wired_get_port           (NMSettingWired *setting);
    guint32             nm_setting_wired_get_speed          (NMSettingWired *setting);
    const char *        nm_setting_wired_get_duplex         (NMSettingWired *setting);
    gboolean            nm_setting_wired_get_auto_negotiate (NMSettingWired *setting);
    const GByteArray *  nm_setting_wired_get_mac_address    (NMSettingWired *setting);
    guint32             nm_setting_wired_get_mtu            (NMSettingWired *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingWired

## Properties

      "auto-negotiate"           gboolean              : Read / Write / Construct
      "duplex"                   gchar*                : Read / Write
      "mac-address"              GArray_guchar_*       : Read / Write
      "mtu"                      guint                 : Read / Write / Construct
      "port"                     gchar*                : Read / Write
      "speed"                    guint                 : Read / Write / Construct

## Description

## Details

### NM_SETTING_WIRED_SETTING_NAME

    #define NM_SETTING_WIRED_SETTING_NAME "802-3-ethernet"

### enum NMSettingWiredError

    typedef enum
    {
    	NM_SETTING_WIRED_ERROR_UNKNOWN = 0,
    	NM_SETTING_WIRED_ERROR_INVALID_PROPERTY,
    	NM_SETTING_WIRED_ERROR_MISSING_PROPERTY
    } NMSettingWiredError;

### NM_TYPE_SETTING_WIRED_ERROR

    #define NM_TYPE_SETTING_WIRED_ERROR (nm_setting_wired_error_get_type ())

### NM_SETTING_WIRED_ERROR

    #define NM_SETTING_WIRED_ERROR nm_setting_wired_error_quark ()

### nm_setting_wired_error_quark ()

    GQuark              nm_setting_wired_error_quark        (void);

Returns : |

### NM_SETTING_WIRED_PORT

    #define NM_SETTING_WIRED_PORT "port"

### NM_SETTING_WIRED_SPEED

    #define NM_SETTING_WIRED_SPEED "speed"

### NM_SETTING_WIRED_DUPLEX

    #define NM_SETTING_WIRED_DUPLEX "duplex"

### NM_SETTING_WIRED_AUTO_NEGOTIATE

    #define NM_SETTING_WIRED_AUTO_NEGOTIATE "auto-negotiate"

### NM_SETTING_WIRED_MAC_ADDRESS

    #define NM_SETTING_WIRED_MAC_ADDRESS "mac-address"

### NM_SETTING_WIRED_MTU

    #define NM_SETTING_WIRED_MTU "mtu"

### NMSettingWired

    typedef struct _NMSettingWired NMSettingWired;

### NMSettingWiredClass

    typedef struct {
    	NMSettingClass parent;

    	/* Padding for future expansion */
    	void (*_reserved1) (void);
    	void (*_reserved2) (void);
    	void (*_reserved3) (void);
    	void (*_reserved4) (void);
    } NMSettingWiredClass;

### nm_setting_wired_get_type ()

    GType               nm_setting_wired_get_type           (void);

Returns : |

### nm_setting_wired_new ()

    NMSetting *         nm_setting_wired_new                (void);

Returns : |

### nm_setting_wired_get_port ()

    const char *        nm_setting_wired_get_port           (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_speed ()

    guint32             nm_setting_wired_get_speed          (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_duplex ()

    const char *        nm_setting_wired_get_duplex         (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_auto_negotiate ()

    gboolean            nm_setting_wired_get_auto_negotiate (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_mac_address ()

    const GByteArray *  nm_setting_wired_get_mac_address    (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_mtu ()

    guint32             nm_setting_wired_get_mtu            (NMSettingWired *setting);

`setting` : |
Returns : |

## Property Details

### The `"auto-negotiate"` property

      "auto-negotiate"           gboolean              : Read / Write / Construct

If TRUE, allow auto-negotiation of port speed and duplex mode. If FALSE, do not allow auto-negotiation,in which case the 'speed' and 'duplex' properties should be set.

Default value: TRUE

### The `"duplex"` property

      "duplex"                   gchar*                : Read / Write

If specified, request that the device only use the specified duplex mode. Either 'half' or 'full'.

Default value: NULL

### The `"mac-address"` property

      "mac-address"              GArray_guchar_*       : Read / Write

If specified, this connection will only apply to the ethernet device whose MAC address matches. This property does not change the MAC address of the device (known as MAC spoofing).

### The `"mtu"` property

      "mtu"                      guint                 : Read / Write / Construct

If non-zero, only transmit packets of the specified size or smaller, breaking larger packets up into multiple Ethernet frames.

Default value: 0

### The `"port"` property

      "port"                     gchar*                : Read / Write

Specific port type to use if multiple the device supports multiple attachment methods. One of 'tp' (Twisted Pair), 'aui' (Attachment Unit Interface), 'bnc' (Thin Ethernet) or 'mii' (Media Independent Interface. If the device supports only one port type, this setting is ignored.

Default value: NULL

### The `"speed"` property

      "speed"                    guint                 : Read / Write / Construct

If non-zero, request that the device use only the specified speed. In Mbit/s, ie 100 == 100Mbit/s.

Default value: 0